org.springframework.jdbc.core

## Interface SqlProvider

-     public interface SqlProvider

  Interface to be implemented by objects that can provide SQL strings.

  Typically implemented by PreparedStatementCreators, CallableStatementCreators and StatementCallbacks that want to expose the SQL they use to create their statements, to allow for better contextual information in case of exceptions.

  Since:
    16.03.2004
  Author:
    Juergen Hoeller
  See Also:
    `PreparedStatementCreator`, `CallableStatementCreator`, `StatementCallback`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSql()` Return the SQL string for this object, i.e.

- - ### Method Detail

    - #### getSql

          String getSql()

      Return the SQL string for this object, i.e. typically the SQL used for creating statements.
      Returns:
        the SQL string, or `null`